import { request } from "@/http/axios"

/** 查 */
export function findAllPlateArea() {
  return request({
    url: "/dicekePlatearea/findAllPlateArea",
    method: "get"
  })
}

/** 删 */
export function deletePlateArea(id: number) {
  return request({
    url: `/dicekePlatearea/deletePlateArea/${id}`,
    method: "delete"
  })
}

/** 根据id查平盘信息 */
export function findPlateAreaById(id: number) {
  return request({
    url: `/dicekePlatearea/findPlateAreaById/${id}`,
    method: "get"
  })
}

/** 修改盘信息 */
export function updatePlateAreaApi(plateAreaform: any) {
  return request({
    url: `/dicekePlatearea/updatePlateArea`,
    method: "post",
    data: plateAreaform
  })
}

export function addPlateAreaApi(plateAreaform: any) {
  return request({
    url: `/dicekePlatearea/addPlateArea`,
    method: "post",
    data: plateAreaform
  })
}

